// Example program for PulseBlasterESR-PRO boards
//
// The 4 bnc connectors will be toggle high for 1 second 
// then low for 1 second and repeat
#include <stdio.h>
#define PBESRPRO
#include "pbdfuncs.h"

#define CLOCK 400.0

int main(int argc, char **argv)
{
	int start;

	if (pb_init() != 0)
		{
			printf("Error Initializing PulseBlaster:");
			return -1;
		}

	set_clock(CLOCK);  // Tell driver the board is 400 Mhz

	// Prepare the board to receive pulse program instructions
	start_programming(PULSE_PROGRAM);

	// Instruction 0 - Continue to instruction 1 in 1s
    // The lower 4 bits (all BNC connectors) will be driving high
	start = pb_inst(ON|0xF, CONTINUE, 0, 1*s);

	// Instruction 1 - Branch to "start" (Instruction 0) in 40ns
    // Outputs are off for 1s
	pb_inst(0, BRANCH, start, 1*s);

	stop_programming();	// Finished sending instructions
	start_pb();				// Trigger the pulse program

    // End communication with the PulseBlasterESR board. The pulse program
    // will continue to run even after this is called
	pb_close();
	
	return 0;
}

