/* SpinCore Technologies, Inc
 * http://www.spincore.com
 * Last modified 2004-08-31
 */

/* OS dependent functions for Linux. Link this file with your 
 * program if you are compiling on linux. Note: if you are using 
 * gcc and you get link errors concerning outb, outl, inb, or inl
 * functions, you need to compile using optimizations. (for 
 * example using flags like -O or -O2)
 */

#include <stdio.h>
#include <sys/io.h>
#include "os.h"
#include "sp_proto.h"

static FILE *fp;


/* pb_init ()
 * Initialize the board. This function should be called before 
 * any other board controlling functions are used. If the board 
 * is successfully initiazed, 0 is returned. On error, -1 is
 * returned.
 */
int pb_init ()
{

	fp = fopen ("/dev/sp0", "w");

	if (!fp)
	  return -1;

	return 0;
}

/* pb_close ()
 * Release control of the board. This should be called when 
 * your control program is done. Returns 0 on success and
 * -1 on failure
 */
int pb_close ()
{
	fclose(fp);
  return 0;
}

/* write_word ()
 * Write a 4 byte word to the given IO port. Returns 0 on
 * success, -1 otherwise.
 */
int write_byte (char data, unsigned int port)
{
 	struct sp_data new_data;
      
	new_data.data = data;
	new_data.port = port;
	
	fwrite(&new_data, sizeof(new_data), 1, fp);	
	
	fflush(fp);
	return 0;
}

