extern unsigned long base_address;

#ifdef DEBUG
#define DPRINTK(_s, _t...) printk(_s, ## _t)
#else
#define DPRINTK(s, s2...)
#endif

/* for now there is only one vendor id */
#define VENDOR_ID 0x10e8

/* device id of amcc-based boards */
#define AMCC_DEVICE_ID 0x8852

/* device id of internal pci core */
#define PCI_CORE_DEVICE_ID 0x8878

/* string naming character device */
char char_device_name [] = "spincore_device";

static struct pci_device_id ids[] = { 
	{ PCI_DEVICE(VENDOR_ID, AMCC_DEVICE_ID) },
    { PCI_DEVICE(VENDOR_ID, PCI_CORE_DEVICE_ID) }
};

/* functions and structures used to register the pci driver 
 * the remove and probe functions are called by the PCI core */
void spinmod_remove(struct pci_dev *dev);
int spinmod_probe (struct pci_dev *dev, const struct pci_device_id *id);

static struct pci_driver spinmod_driver = {
	.name = "spinmod_pci_driver",
	.id_table = ids,
	.probe = spinmod_probe,
	.remove = spinmod_remove,
};

